[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# IProviderSupport.PSGetCommandType

Return SQL command type

## Declaration

Source position: db.pas line 1326

`function IProviderSupport.PSGetCommandType: TPSCommandType;`

## Function result

The kind of SQL command.

## Description

PSGetCommandType should return the kind of SQL statement that is executed by the command (as returned by PSGetCommandText). The list of possible command types is enumerated in TPSCommandType.

## See also

PSGetCommandText
TPSCommandType |  | Type of SQL command
PSExecute

Documentation generated on: Feb 26 2014